# Note that this is NOT a relocatable package
Summary: Allows several audio streams to play on a single audio device
Name:    esound
Version: 0.2.41
Release: 3.1%{?dist}
Epoch:   1
License: LGPLv2+
URL: ftp://ftp.gnome.org/pub/GNOME/sources/esound
Group: System Environment/Daemons
Source0:  http://ftp.gnome.org/pub/gnome/sources/esound/0.2/esound-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch4: esound-0.2.38-drain.patch
Patch6: esound-0.2.38-fix-open-macro.patch
Patch7: remove-confusing-spew.patch
# default to nospawn, so we can kill the esd.conf file
Patch8: esound-nospawn.patch
# temporarily disable doc build due to xml catalog issues
#BuildRequires: docbook-utils
BuildRequires: audiofile-devel
BuildRequires: alsa-lib-devel
Obsoletes: esound <= 1:0.2.36-4

%description
EsounD, the Enlightened Sound Daemon, is a server process that mixes
several audio streams for playback by a single audio device. For
example, if you're listening to music on a CD and you receive a
sound-related event from ICQ, the two applications won't have to
queue for the use of your sound card.

Install esound if you'd like to let sound applications share your
audio device. You'll also need to install the audiofile package.

%package libs
Summary: Library to talk to the EsounD daemon
Group: Development/Libraries

%description libs
The esound-libs package includes the libraries required
for applications to talk to the EsounD daemon.

%package tools
Summary: Commandline tools to talk to the EsounD daemon
Group: System Environment/Base

%description tools
The esound-tools package includes commandline utilities
for controlling the EsounD daemon.

%package devel
Summary: Development files for EsounD applications
Group: Development/Libraries
Requires: esound-libs = %{epoch}:%{version}-%{release}
Requires: audiofile-devel
Requires: alsa-lib-devel
# we install a pc file
Requires: pkgconfig
# we install an automake macro
Requires: automake

%description devel
The esound-devel package includes the libraries, include files and
other resources needed to develop EsounD applications.

%prep
%setup -q

%patch4 -p1 -b .drain-race
%patch6 -p1 -b .open-macro
%patch7 -p1 -b .spew
%patch8 -p1 -b .nospawn

%build
%configure --disable-static

EGREP=egrep make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/esd.conf
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
# Delete the esound binary
rm -f $RPM_BUILD_ROOT%{_bindir}/esd $RPM_BUILD_ROOT%{_mandir}/man1/esd.1*

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files libs
%doc AUTHORS COPYING.LIB ChangeLog docs/esound.sgml
%doc NEWS README TIPS TODO
%defattr(-, root, root,-)
%{_libdir}/*.so.*

%files tools
%{_bindir}/esdcat
%{_bindir}/esdctl
%{_bindir}/esddsp
%{_bindir}/esdfilt
%{_bindir}/esdloop
%{_bindir}/esdmon
%{_bindir}/esdplay
%{_bindir}/esdrec
%{_bindir}/esdsample
%{_mandir}/man1/esdcat.1.gz
%{_mandir}/man1/esdctl.1.gz
%{_mandir}/man1/esddsp.1.gz
%{_mandir}/man1/esdfilt.1.gz
%{_mandir}/man1/esdloop.1.gz
%{_mandir}/man1/esdmon.1.gz
%{_mandir}/man1/esdplay.1.gz
%{_mandir}/man1/esdrec.1.gz
%{_mandir}/man1/esdsample.1.gz
# temporarily disable doc build due to xml catalog issues
#%doc %{_datadir}/doc/esound

%files devel
%defattr(-, root, root,-)
%{_bindir}/esd-config
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/esd-config.1.gz


%changelog

